Bug 1589951 - Incorrect setting in Cinder's db purge cron job
Summary: Incorrect setting in Cinder's db purge cron job
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Alan Bishop
QA Contact: Avi Avraham
URL:
Whiteboard:
Depends On: 1564519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-11 17:29 UTC by Alan Bishop
Modified: 2018-08-20 13:02 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-1.el7ost
Doc Type: Bug Fix
Doc Text:
The default age for purging deleted database records has been corrected so that deleted records are purged from Cinder's database. Previously, the CinderCronDbPurgeAge value for Cinder's purge cron job used the wrong value and deleted records were not purged from Cinder's DB when they reached the desired default age.
Clone Of: 1564519
Environment:
Last Closed: 2018-08-20 13:01:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:02:21 UTC
OpenStack gerrit 564029 None None None 2018-06-11 17:29:14 UTC
Launchpad 1761749 None None None 2018-06-11 17:29:14 UTC

Description Alan Bishop 2018-06-11 17:29:15 UTC
+++ This bug was initially created as a clone of Bug #1564519 +++

Description of problem:
The default value for Cinder's db purge cron job is incorrect. The THT parameter is defaulting the db purge job's "age in days" to 0, when instead it should match the default value in puppet-cinder, which is 30.

Version-Release number of selected component (if applicable):


How reproducible: 
Always

Steps to Reproduce:
1. Deploy overcloud with default CinderCronDbPurgeAge
2.
3.

Actual results:

Display cinder's cron job on controller:

[root@overcloud-controller-0 logrotate.d]# crontab -u cinder -l                                                                                                            
# HEADER: This file was autogenerated at 2018-04-05 21:04:24 +0000 by puppet.
# HEADER: While it can still be managed manually, it is definitely not recommended.
# HEADER: Note particularly that the comments starting with 'Puppet Name' should
# HEADER: not be deleted, as doing so could cause duplicate cron jobs.
# Puppet Name: cinder-manage db purge
PATH=/bin:/usr/bin:/usr/sbin SHELL=/bin/sh
1 0 * * * cinder-manage db purge 0 >>/var/log/cinder/cinder-rowsflush.log 2>&1

The "0" after "db purge" is the age setting that is incorrect.

Expected results:

The age should default to 30.

Additional info:

--- Additional comment from Alan Bishop on 2018-06-11 12:22:04 EDT ---

Retargeting for OSP-13 since 11 is EOL.

--- Additional comment from Alan Bishop on 2018-06-11 13:27:50 EDT ---

Upstream patch should arrive via next RDO import (for 13z1).

Comment 6 Tzach Shefi 2018-07-02 08:03:59 UTC
Verified on:
openstack-tripleo-heat-templates-7.0.12-1.el7ost.noarch

Post deployment what was before 'db purge 0' is now 'db purge 30'.
Looking good to verify,

[root@controller-0 ~]# crontab -u cinder -l
# HEADER: This file was autogenerated at 2018-06-30 19:05:34 +0000 by puppet.                                                                                                                                                                
# HEADER: While it can still be managed manually, it is definitely not recommended.                                                                                                                                                          
# HEADER: Note particularly that the comments starting with 'Puppet Name' should                                                                                                                                                             
# HEADER: not be deleted, as doing so could cause duplicate cron jobs.                                                                                                                                                                       
# Puppet Name: cinder-manage db purge                                                                                                                                                                                                        
PATH=/bin:/usr/bin:/usr/sbin SHELL=/bin/sh                                                                                                                                                                                                   
1 0 * * * cinder-manage db purge 30 >>/var/log/cinder/cinder-rowsflush.log 2>&1

Comment 9 errata-xmlrpc 2018-08-20 13:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.